> For a complete page index, fetch https://developer.close.com/llms.txt # List Lead Custom Fields GET https://api.close.com/api/v1/custom_field/lead/ List all the lead custom fields for your organization. Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-lead/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `_limit` (integer, optional, default: 100) — Number of results to return. - `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination. - `_fields` (string, optional) — Comma-separated list of fields to include in the response. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "data": [ { "accepts_multiple_values": false, "choices": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-07T05:06:09.422000+00:00", "date_updated": "2014-11-10T20:56:16.784000+00:00", "description": "The number of users in the company", "editable_with_roles": [], "id": "cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c", "name": "# of users", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "number", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "accepts_multiple_values": true, "choices": [ "Apparel", "Cars", "Cosmetics", "IT" ], "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-07T05:06:09.423000+00:00", "date_updated": "2014-11-12T22:37:55.752000+00:00", "description": null, "editable_with_roles": [], "id": "cf_8wtBWsdRU2Fur7GDnEeXQ7ra2Vu7R4hG1SNYdiEhh0F", "name": "Industry", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "choices", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "accepts_multiple_values": false, "choices": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-10T23:38:14.535000+00:00", "date_updated": "2014-11-10T23:38:14.535000+00:00", "description": "ID in the company database", "editable_with_roles": [ "admin", "role_4zhUd9gDKwVv0Bbl2Nk0Ud" ], "id": "cf_vvHHPVktybLXXqKrUF88PLsGm8sh202oMq3XGy6RcBm", "name": "Internal Database ID", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "text", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "accepts_multiple_values": false, "choices": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-10T20:56:44.780000+00:00", "date_updated": "2014-11-10T20:56:44.780000+00:00", "description": null, "editable_with_roles": [], "id": "cf_xUDvptVqoPQYv5tmRFDxemYOWFT9nlLRqJyQhpcNh4z", "name": "Language Preference", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "text", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "accepts_multiple_values": false, "choices": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-07T05:06:09.413000+00:00", "date_updated": "2014-11-10T20:51:12.636000+00:00", "description": "The date the trial expires", "editable_with_roles": [], "id": "cf_MakiQgTzKXrcL8sDJbS2lkuUcA2FxZJAW8Q38ARgwWh", "name": "Trial Due", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "date", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "accepts_multiple_values": false, "choices": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-11-07T05:06:09.413000+00:00", "date_updated": "2014-11-10T20:51:12.636000+00:00", "description": "The AE in charge of this account", "editable_with_roles": [], "id": "cf_MakiQgTzKXrcL8sDJbS2lkuUcA2FxZJAW8Q38ARgwWh", "name": "Owner", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "user", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ], "has_more": false } ``` **SDK Code** ```python custom_fields.lead_list_example import requests url = "https://api.close.com/api/v1/custom_field/lead/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript custom_fields.lead_list_example const url = 'https://api.close.com/api/v1/custom_field/lead/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go custom_fields.lead_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/custom_field/lead/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby custom_fields.lead_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/custom_field/lead/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java custom_fields.lead_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/custom_field/lead/") .basicAuth("", "") .asString(); ``` ```php custom_fields.lead_list_example request('GET', 'https://api.close.com/api/v1/custom_field/lead/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp custom_fields.lead_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/custom_field/lead/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```